## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name vvm
%global common_description %{expand:
Python wrapper and version management tool for the Vyper compiler.}

Name:          python-%{pypi_name}
Version:       0.3.2
Release:       %autorelease
BuildArch:     noarch
Summary:       Vyper version manager
License:       MIT
URL:           https://github.com/vyperlang/vvm
VCS:           git:%{url}.git
# FIXME PyPi package missing ./tests/conftest.py
Source0:       %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
Patch:         python-vvm-0001-chore-remove-upper-version-limit-from-packaging-40.patch
BuildRequires: python3-pytest
BuildRequires: python3-pytest-cov
BuildSystem:   pyproject
BuildOption(prep):    -n %{pypi_name}-%{version}
BuildOption(install): -l %{pypi_name}

%description %{common_description}

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name} %{common_description}

%check -a
# FIXME unfortunately tests requires internet access which we currently do not
# have in Koji
#%%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Tue Apr 22 2025 Peter Lemenkov <lemenkov@gmail.com> - 0.3.2-4
- Remove upper version limit for packaging

* Sun Mar 16 2025 Peter Lemenkov <lemenkov@gmail.com> - 0.3.2-3
- F41+: Use the provisional declarative buildsystem

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Nov 21 2024 Peter Lemenkov <lemenkov@gmail.com> - 0.3.2-1
- VVM ver. 0.3.2

* Wed Sep 25 2024 Peter Lemenkov <lemenkov@gmail.com> - 0.3.1-1
- VVM ver. 0.3.1

* Wed Aug 14 2024 Peter Lemenkov <lemenkov@gmail.com> - 0.2.1-1
- Initial build
## END: Generated by rpmautospec
